%{!?dotests: %define dotests 1}

%define name python3-chardet
%define srcname chardet
%define version 3.0.4
%define release 1


%define is_python %(test -e /opt/freeware/bin/python3_32 && echo 1 || echo 0)
%if %{is_python}
%define python_sitelib %(python3_32 -c "from distutils.sysconfig import get_python_lib; print (get_python_lib(1))")
%endif

%define _libdir64 %{_prefix}/lib64

%define is_python_64 %(test -e /opt/freeware/bin/python3_64 && echo 1 || echo 0)
%if %{is_python_64}
%define python_sitelib64 %(python3 -c "from distutils.sysconfig import get_python_lib; print (get_python_lib(1))")
%endif

Summary: Character encoding auto-detection in Python
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{srcname}-%{version}.tar.gz
License: LGPLv2
Group: Development/Libraries
Prefix: %{_prefix}
BuildArch: noarch
Url: https://pypi.org/
Patch1: chardet-test.patch

%description
Chardet takes a sequence of bytes in an unknown character encoding, and attempts to determine the encoding.

%prep
%setup -q -n %{srcname}-%{version}
%patch1 -p1

%build
python3 setup.py build

if [ "%{dotests}" == 1 ]
then
       python3 -m pytest -v
fi

%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

python3 setup.py install --skip-build --root ${RPM_BUILD_ROOT}

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,system,-)
%doc LICENSE PKG-INFO README.rst
%{python_sitelib}/chardet
%{python_sitelib}/chardet-%{version}-py?.?.egg-info

%changelog

* Sat Nov 16 2019 Baanu Tumma <btumma15@in.ibm.com> - 3.0.4-1
- First version for AIX, built using python3

